Subject: Ticket Assigned - Article Feedback - What is your policy on returns?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 08 Dec 2022 16:01:18 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - What is your policy on returns? Feedback for:  What is your policy on returns? I just received my order & the grey mid rise shorts (140egp cost) was so huge I wanna return or exchange with a different product & paying the difference if exists, so any help how can I do this? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5435480